Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bsh
Class BSHPackageDeclaration

    java.lang.Object
      bsh.SimpleNode
          bsh.BSHPackageDeclaration

All Implemented Interfaces:
  bsh.Node, java.io.Serializable

public class BSHPackageDeclaration
extends bsh.SimpleNode

See Also:
  Serialized Form

Field Summary
`protected bsh.Node[]` | `children`
`protected int` | `id`
`static bsh.SimpleNode` | `JAVACODE`
`protected bsh.Node` | `parent`

Constructor Summary
`BSHPackageDeclaration(int id)`

Method Summary
`void` | `dump(java.lang.String prefix)`
`java.lang.Object` | `eval(CallStack callstack, Interpreter interpreter)` This is the general signature for evaluation of a node.
`bsh.SimpleNode` | `getChild(int i)`
`int` | `getLineNumber()` Get the line number of the starting token
`java.lang.String` | `getSourceFile()` Get the name of the source file (or more generally source) of the text from which this node was parsed.
`java.lang.String` | `getText()` Get the text of the tokens comprising this node.
`void` | `jjtAddChild(bsh.Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` | `jjtClose()` This method is called after all the child nodes have been added.
`bsh.Node` | `jjtGetChild(int i)` This method returns a child node.
`int` | `jjtGetNumChildren()` Return the number of children the node has.
`bsh.Node` | `jjtGetParent()`
`void` | `jjtOpen()` This method is called after the node has been made the current node.
`void` | `jjtSetParent(bsh.Node n)` This pair of methods are used to inform the node of its parent.
`void` | `prune()` Detach this node from its parent.
`void` | `setSourceFile(java.lang.String sourceFile)` Set the name of the source file (or more generally source) of the text from which this node was parsed.
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JAVACODE

    public static bsh.SimpleNode JAVACODE

### parent

    protected bsh.Node parent

### children

    protected bsh.Node[] children

### id

    protected int id

Constructor Detail

### BSHPackageDeclaration

    public BSHPackageDeclaration(int id)

Method Detail

### eval

    public java.lang.Object eval(CallStack callstack,
                                 Interpreter interpreter)
                          throws EvalError

  Description copied from class: `bsh.SimpleNode`
  This is the general signature for evaluation of a node.

  Throws:
    `EvalError`

### jjtOpen

    public void jjtOpen()

  Description copied from interface: `bsh.Node`
  This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

  Specified by:
    `jjtOpen` in interface `bsh.Node`

### jjtClose

    public void jjtClose()

  Description copied from interface: `bsh.Node`
  This method is called after all the child nodes have been added.

  Specified by:
    `jjtClose` in interface `bsh.Node`

### jjtSetParent

    public void jjtSetParent(bsh.Node n)

  Description copied from interface: `bsh.Node`
  This pair of methods are used to inform the node of its parent.

  Specified by:
    `jjtSetParent` in interface `bsh.Node`

### jjtGetParent

    public bsh.Node jjtGetParent()

  Specified by:
    `jjtGetParent` in interface `bsh.Node`

### jjtAddChild

    public void jjtAddChild(bsh.Node n,
                            int i)

  Description copied from interface: `bsh.Node`
  This method tells the node to add its argument to the node's list of children.

  Specified by:
    `jjtAddChild` in interface `bsh.Node`

### jjtGetChild

    public bsh.Node jjtGetChild(int i)

  Description copied from interface: `bsh.Node`
  This method returns a child node. The children are numbered from zero, left to right.

  Specified by:
    `jjtGetChild` in interface `bsh.Node`

### getChild

    public bsh.SimpleNode getChild(int i)

### jjtGetNumChildren

    public int jjtGetNumChildren()

  Description copied from interface: `bsh.Node`
  Return the number of children the node has.

  Specified by:
    `jjtGetNumChildren` in interface `bsh.Node`

### toString

    public java.lang.String toString()

### toString

    public java.lang.String toString(java.lang.String prefix)

### dump

    public void dump(java.lang.String prefix)

### prune

    public void prune()

  Detach this node from its parent. This is primarily useful in node serialization. (see BSHMethodDeclaration)

### setSourceFile

    public void setSourceFile(java.lang.String sourceFile)

  Set the name of the source file (or more generally source) of the text from which this node was parsed.

### getSourceFile

    public java.lang.String getSourceFile()

  Get the name of the source file (or more generally source) of the text from which this node was parsed. This will recursively search up the chain of parent nodes until a source is found or return a string indicating that the source is unknown.

### getLineNumber

    public int getLineNumber()

  Get the line number of the starting token

### getText

    public java.lang.String getText()

  Get the text of the tokens comprising this node.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD